org.apache.tapestry5.ioc.internal

## Class AbstractServiceCreator

- java.lang.Object
- - org.apache.tapestry5.ioc.internal.AbstractServiceCreator

- All Implemented Interfaces:
    ObjectCreator
  Direct Known Subclasses:
    ConstructorServiceCreator, ServiceBuilderMethodInvoker

      public abstract class AbstractServiceCreator
      extends Object
      implements ObjectCreator

  Abstract implementation of `ObjectCreator` geared towards the creation of the core service implementation, either by invoking a service builder method on a module, or by invoking a constructor.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `creatorDescription`
    `protected org.slf4j.Logger` | `logger`
    `protected ServiceBuilderResources` | `resources`
    `protected String` | `serviceId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractServiceCreator(ServiceBuilderResources resources, String creatorDescription)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected InjectionResources` | `createInjectionResources()` Returns a map (based on injectionResources) that includes (possibly) an additional mapping containing the collected configuration data.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tapestry5.ioc.ObjectCreator

      `createObject`

- - ### Field Detail

    - #### serviceId

          protected final String serviceId

    - #### resources

          protected final ServiceBuilderResources resources

    - #### logger

          protected final org.slf4j.Logger logger

    - #### creatorDescription

          protected final String creatorDescription

  - ### Constructor Detail

    - #### AbstractServiceCreator

          public AbstractServiceCreator(ServiceBuilderResources resources,
                                        String creatorDescription)

  - ### Method Detail

    - #### createInjectionResources

          protected final InjectionResources createInjectionResources()

      Returns a map (based on injectionResources) that includes (possibly) an additional mapping containing the collected configuration data. This involves scanning the parameters and generic types.

5.6.4 - Copyright © 2003-2021 The Apache Software Foundation.